GA-Z77-D3H BIOS F23b/FBb (Rev. 1.0, Rev. 1.1 and 1.2)

Modified with :

NvmeDxe.ffs
NvmeSmmDxe.ffs
NvmeInt13Dxe.ffs


The above DXE files were extracted from a vanilla GA-Z97-D3H F9 BIOS which was downloaded from the official Gigabyte support website.

--------------------------------

**These modifications add native NVMe SSD boot support to GA-Z77-D3H BIOS for use with an Nvme SSD drive attached to a M.2 Nvme to PCI-e adapter**

Must use a spare x4 or greater PCI Express Slot

Please note that these BIOSes are Untested but I used the same modding process to great success on a vanilla GA-Z97-D3H(F7) BIOS downloaded from the official Gigabyte support website so my Z77-D3H mods should work.  

BIOS should be used at your own risk. I accept NO RESPONSIBILITY for any damage to your motherboard or any other devices connected to it. 
BIOS flashing is considered risky ** You've been warned ! ** 


**Before flashing the modded BIOS to your motherboard, do the following;**

- Get a Fat32 formatted flash drive  
- Make a backup of your working BIOS and save to the flash drive
- Make a backup of your BIOS Profile (this will save all of your BIOS settings before they get wiped/reset to defaults during a BIOS flash) and save to the flash drive.
- IMPORTANT - Check the Revision number of your motherboard, it will be printed somewhere on the PCB and should say Revision or Rev. 1.0 , Rev. 1.1 or ev. 1.2  
- Save the correct BIOS Revision of the modified BIOS to your flash drive.  


**Flashing the BIOS**

- Copy the correct modded Z77-D3H Bios file for your mobo onto your FAT32 formatted USB flash drive.
- Enter the Z77-D3H UEFI BIOS and press F8 to use the Q-Flash Bios flash utility.
- Navigate to your saved modded BIOS file and enter the Flash process. 
- A Pop-Up window should show you info about the modded BIOS ready to be flashed. Note, the info will appear identical to the vanilla BIOS.   
- Enter Yes to start the BIOS flashing and then leave it alone.
- After BIOS has been flashed, the machine will switch itself off briefly and eventually restart. 
- When that's done, enter the BIOS and navigate to the 'Save & Exit' window.
- Select 'Load Profiles' and navigate to your flash drive for the BIOS Profile you saved earlier.
- After loading your saved Profile, Save and Exit the BIOS.  

Please note that the UEFI BIOS Screen in use may not look any different with this modded BIOS. It may not show any additional BIOS features however your NVMe drive manufacture model will show up in your UEFI Boot selection after you have formatted the Nvme SSD drive in your OS and will of course be bootable. 

<- Robbish ->


Credits:
Fernanado on Level1Tech Win-Raid forum, Clover Team, CodeRush and vit9696
   






